Package org.postgresql.util.internal

# Class Nullness

java.lang.Object
org.postgresql.util.internal.Nullness

public class Nullness extends Object
The methods in this class allow to cast nullable reference to a non-nullable one. This is an internal class, and it is not meant to be used as a public API.

## Constructor Summary

Constructors
Constructor
Description
`Nullness()`

## Method Summary

Modifier and Type
Method
Description
`static <T extends @Nullable Object>
@NonNull T`
`castNonNull(@Nullable T ref)`
`static <T extends @Nullable Object>
@NonNull T`
`castNonNull(@Nullable T ref, String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Nullness

public Nullness()

## Method Details

### castNonNull

@Pure @EnsuresNonNull("#1") public static <T extends @Nullable Object> @NonNull T castNonNull(@Nullable T ref)

### castNonNull

@Pure @EnsuresNonNull("#1") public static <T extends @Nullable Object> @NonNull T castNonNull(@Nullable T ref, String message)